#!/bin/sh

# This script remove scenes from a E450 or E550
# Original script made by (oscar.morales@ezlo.com) from the Ezlo Customer Care Team, modified to delete scenes.

# How to use it?
# Tranfer this file to /tmp in the controller
# Send the command:
# sh remove_scene.sh {scene_id}
# Make sure to insert the scene id

echo                                                                                                                                                                                                                          
                                                                                                                                                                                                                                        
sceneId=$1                                                                                                                                                                                                                           
echo The scene id is: $sceneId


# Install dbreader is necessary

echo
echo Checking if dbreader is installed...

var=$(opkg list-installed | grep dbreader)

if [ "$var" = "" ]
then
	echo 
	echo dbreader is not installed.
	echo Installing dbreader...
	opkg update && opkg install firmware-dev-dbreader
fi

echo dbreader is installed.
echo

# Check if the id is correct
/opt/firmware/bin/dbreader -t db.firmware.scenes_manager.rules | grep _id | awk '{print $2}' | awk '{print substr($0, 2, length($0)-3)}' > ./scene_ids                                                                                        
num_scenes=$(wc -l scene_ids | awk '{print $1}')   


if grep -Fxq "$sceneId" ./scene_ids

then

	# Look for confirmation

	name=$(/opt/firmware/bin/dbreader -id $sceneId | grep name | awk '{print substr($0, 14, length($0)-15)}') 2> /dev/null  
	echo -n Do you want to continue \(y/n\):" "
	read confirmation

	if [ "$confirmation" = "y" ]
	
	then
		                                                                                                                                                                                                                         
		#Remove the main scene                                                                                                                                                                                                                         
		echo Removing scene $sceneId                                                                                                                                                                                                          
		/opt/firmware/bin/dbreader -t db.firmware.scenes_manager.rules -rid $sceneId

		rm ./scene_ids                                                                                                                                                   
		echo Done.

	elif [ "$confirmation" = "n" ]

	then

		echo Ok. Closing...

	else 

		echo ERROR: Select a valid option \(y/n\)

	fi

else

    echo ERROR: Enter a valid scene id
fi

echo